Groovy 1.7.10

## groovy.mock.interceptor
[Groovy] Class Demand

    java.lang.Object
      groovy.mock.interceptor.Demand

    class Demand
    extends Object

The object that registers method calls on it for the use with Mocks and Stubs. For each call a CallSpec object is added to the recorded list.

Authors:
  Dierk Koenig

Property Summary
`Map` | `ignore`
`List` | `recorded`

Method Summary
`Object` | `invokeMethod(String methodName, Object args)`
`def` | `verify(List calls)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### ignore

    Map ignore

### recorded

    List recorded

Method Detail

### invokeMethod

    Object invokeMethod(String methodName, Object args)

### verify

    def verify(List calls)

Copyright © 2003-2010 The Codehaus. All rights reserved.